Subject: Re: [Rtg-yang-coord] FW: New Version [email-masked] for draft-liu-rtgwg-yang-vrrp-00.txt

From: "Eric Voit (evoit)" <[email-masked]>
Date: Mon, 8 Dec 2014 23:58:45 +0000

Hi Xufeng,

In your draft  vrid is the key to  vrrp-instance.   vrid is limited to the range of 0...255.  This is consistent with RFC5798 and other RFCs, local uniqueness is fine because you are augmenting a specific device interface.

Let's say I want to know all the participating hosts which make up the set of routers in VRRP instance.  How would I get that info?

Eric

> From: Rtg-yang-coord, December 08, 2014 1:32 PM
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Thursday, December 04, 2014 4:39 PM
> To: Xufeng Liu; Athanasios Kyparlis; Xufeng Liu; Athanasios Kyparlis
> Subject: New Version Notification for draft-liu-rtgwg-yang-vrrp-00.txt
> 
> 
> A new version of I-D, draft-liu-rtgwg-yang-vrrp-00.txt has been successfully
> submitted by Xufeng Liu and posted to the IETF repository.
> 
> Name:		draft-liu-rtgwg-yang-vrrp
> Revision:	00
> Title:		A YANG Data Model for Virtual Router Redundancy Protocol
> (VRRP)
> Document date:	2014-12-03
> Group:		Individual Submission
> Pages:		22
> URL:            http://www.ietf.org/internet-drafts/draft-liu-rtgwg-yang-vrrp-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-liu-rtgwg-yang-vrrp/
> Htmlized:       http://tools.ietf.org/html/draft-liu-rtgwg-yang-vrrp-00
> 
> 
> Abstract:
>    This document describes a data model for Virtual Router Redundancy
>    Protocol (VRRP). Both version 2 and version 3 of VRRP are covered.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
> 
> _______________________________________________
> Rtg-yang-coord mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtg-yang-coord

---

From: Xufeng Liu <[email-masked]>
Date: Tue, 9 Dec 2014 19:01:11 +0000

Hi Eric,

Thanks for looking at it. 

Do you mean "find all the participating routers which make up the set of routers in the VRRP instance"? 
In the corresponding state branch:
augment /if:interfaces-state/if:interface/ip:ipv4:
   +--ro vrrp
      +--ro vrrp-instance* [vrid]
         ...
         +--ro virtual-ipv4-addresses
         |  +--ro virtual-ipv4-address* [ipv4-address]
         |     +--ro ipv4-address    inet:ipv4-address

The list of ipv4-addresses contains not only the addresses configured on this router, but also addresses learned from participating routers.

Do you think that this approach is ok?

Thanks,

- Xufeng

> From: Eric Voit (evoit) [mailto:[email-masked]]
> Sent: Monday, December 08, 2014 6:59 PM
> To: Xufeng Liu
> Cc: [email-masked]
> Subject: RE: [Rtg-yang-coord] FW: New Version NRtg-yang-
> [email-masked] for draft-liu-rtgwg-yang-vrrp-00.txt
> 
> Hi Xufeng,
> 
> In your draft  vrid is the key to  vrrp-instance.   vrid is limited to the range of
> 0...255.  This is consistent with RFC5798 and other RFCs, local uniqueness is fine
> because you are augmenting a specific device interface.
> 
> Let's say I want to know all the participating hosts which make up the set of
> routers in VRRP instance.  How would I get that info?
> 
> Eric
> 
> > A new version of I-D, draft-liu-rtgwg-yang-vrrp-00.txt has been
> > successfully submitted by Xufeng Liu and posted to the IETF repository.
> >
> > Please note that it may take a couple of minutes from the time of
> > submission until the htmlized version and diff are available at tools.ietf.org.
> >
> > The IETF Secretariat
> >

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 9 Dec 2014 20:59:02 +0000

Hi Xufeng,

> The list of ipv4-addresses contains not only the addresses configured on this router, but also addresses learned from participating routers.

As per RFC 5798, section 7.1, the routers should agree on the virtual addresses (see excerpt below): 

   If any one of the above checks fails, the receiver MUST discard the
   packet, SHOULD log the event, and MAY indicate via network management
   that an error occurred.

      - MAY verify that "Count IPvX Addrs" and the list of IPvX
      address(es) match the IPvX Address(es) configured for the VRID.

   If the above check fails, the receiver SHOULD log the event and MAY
   indicate via network management that a misconfiguration was detected.
I think what Eric asked for is a list of routers participating in the VRRP protocol for the VRRP Instance. However, the protocol doesn’t provide this state - the only thing you know for certain is the current master. 

Thanks,
Acee